# 8. Mutace: Generovat "RasterMap"

Vygenerujte "RasterMap" pro "Field".

{% hint style="info" %}
Doba provedení se liší (od 4 s do 5 min), závisí na počtu snímků a rozloze pole k zpracování, a Subscription bude přijato po úspěšném vygenerování "RasterMap".
{% endhint %}

{% hint style="danger" %}
Doporučujeme použít **asynchronní** přístup pro generování RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<zástupce_uuid_satelitního_snímku_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    název
    centroid {
      zeměpisnou šířku
      zeměpisnou délku
    }
    boundingBox
    geoMaps {
      krátkýNázev
      úplnýNázev
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/8.-mutace-generovat-rastermap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
